lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000015lxdreamAICApublic2006-09-12 17:382007-01-28 14:58
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionM1 
Target VersionFixed in Version 
Summary0000015: Fix/implement AICA command port and DMA
DescriptionCurrently there's no sound hooked up as the AICA and SH4 just aren't communicating. The command port on the AICA needs to be done, as do the DMA channels. The bigger problem is finding what needs to be done to jump-start the transfers, as currently everything seems to be waiting for something to happen.
TagsNo tags attached.
MilestoneM2
Attached Files

- Relationships

-  Notes
(0000019)
nkeynes (administrator)
2007-01-21 17:20

DMA channels are partially implemented now, although it hasn't helped much as yet. The previously identified "command port" is looking increasingly like it might be a debug/development artifact - there does not appear to be any way to actually write to it.
(0000021)
nkeynes (administrator)
2007-01-28 14:58

Closing this off as it doesn't appear there's any more to do besides fixing bugs as they are discovered

- Issue History
Date Modified Username Field Change
2006-09-12 17:38 nkeynes New Issue
2006-09-12 18:17 nkeynes Status new => assigned
2006-09-12 18:17 nkeynes Assigned To => nkeynes
2006-09-12 18:17 nkeynes Milestone => M2
2007-01-21 17:20 nkeynes Note Added: 0000019
2007-01-28 14:58 nkeynes Status assigned => resolved
2007-01-28 14:58 nkeynes Resolution open => fixed
2007-01-28 14:58 nkeynes Note Added: 0000021
.